aboutsummaryrefslogtreecommitdiff
path: root/libdbusmenu-gtk
diff options
context:
space:
mode:
Diffstat (limited to 'libdbusmenu-gtk')
-rw-r--r--libdbusmenu-gtk/Makefile.in1124
-rw-r--r--libdbusmenu-gtk/client.c12
-rw-r--r--libdbusmenu-gtk/genericmenuitem-enum-types.c259
-rw-r--r--libdbusmenu-gtk/genericmenuitem-enum-types.h86
-rw-r--r--libdbusmenu-gtk/genericmenuitem.c2
-rw-r--r--libdbusmenu-gtk/genericmenuitem.h2
-rw-r--r--libdbusmenu-gtk/menu.c2
-rw-r--r--libdbusmenu-gtk/parser.c10
8 files changed, 20 insertions, 1477 deletions
diff --git a/libdbusmenu-gtk/Makefile.in b/libdbusmenu-gtk/Makefile.in
deleted file mode 100644
index 95b6022..0000000
--- a/libdbusmenu-gtk/Makefile.in
+++ /dev/null
@@ -1,1124 +0,0 @@
-# Makefile.in generated by automake 1.11.6 from Makefile.am.
-# @configure_input@
-
-# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
-# Foundation, Inc.
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-@SET_MAKE@
-
-# Rules for generating enumeration types using glib-mkenums
-#
-# Define:
-# glib_enum_h = header template file
-# glib_enum_c = source template file
-# glib_enum_headers = list of headers to parse
-#
-# before including Makefile.am.enums. You will also need to have
-# the following targets already defined:
-#
-# CLEANFILES
-# DISTCLEANFILES
-# BUILT_SOURCES
-# EXTRA_DIST
-#
-# Author: Emmanuele Bassi <ebassi@linux.intel.com>
-
-
-
-VPATH = @srcdir@
-am__make_dryrun = \
- { \
- am__dry=no; \
- case $$MAKEFLAGS in \
- *\\[\ \ ]*) \
- echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
- | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
- *) \
- for am__flg in $$MAKEFLAGS; do \
- case $$am__flg in \
- *=*|--*) ;; \
- *n*) am__dry=yes; break;; \
- esac; \
- done;; \
- esac; \
- test $$am__dry = yes; \
- }
-pkgdatadir = $(datadir)/@PACKAGE@
-pkgincludedir = $(includedir)/@PACKAGE@
-pkglibdir = $(libdir)/@PACKAGE@
-pkglibexecdir = $(libexecdir)/@PACKAGE@
-am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-install_sh_DATA = $(install_sh) -c -m 644
-install_sh_PROGRAM = $(install_sh) -c
-install_sh_SCRIPT = $(install_sh) -c
-INSTALL_HEADER = $(INSTALL_DATA)
-transform = $(program_transform_name)
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-build_triplet = @build@
-host_triplet = @host@
-DIST_COMMON = $(libdbusmenu_gtk3include_HEADERS) \
- $(libdbusmenu_gtkinclude_HEADERS) $(srcdir)/Makefile.am \
- $(srcdir)/Makefile.in $(srcdir)/dbusmenu-gtk-0.4.pc.in \
- $(srcdir)/dbusmenu-gtk3-0.4.pc.in \
- $(top_srcdir)/Makefile.am.enum
-@HAVE_INTROSPECTION_TRUE@am__append_1 = DbusmenuGtk$(VER)-0.4.gir
-@HAVE_INTROSPECTION_TRUE@am__append_2 = $(gir_DATA) $(typelib_DATA)
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@am__append_3 = $(vapi_DATA) DbusmenuGtk$(VER)-0.4.tmp.gir
-subdir = libdbusmenu-gtk
-ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/m4/gnome-doc-utils.m4 \
- $(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
- $(top_srcdir)/m4/introspection.m4 $(top_srcdir)/m4/libtool.m4 \
- $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
- $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
- $(top_srcdir)/m4/gcov.m4 $(top_srcdir)/configure.ac
-am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
- $(ACLOCAL_M4)
-mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
-CONFIG_HEADER = $(top_builddir)/config.h
-CONFIG_CLEAN_FILES = dbusmenu-gtk-0.4.pc dbusmenu-gtk3-0.4.pc
-CONFIG_CLEAN_VPATH_FILES =
-am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
-am__vpath_adj = case $$p in \
- $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
- *) f=$$p;; \
- esac;
-am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
-am__install_max = 40
-am__nobase_strip_setup = \
- srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
-am__nobase_strip = \
- for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
-am__nobase_list = $(am__nobase_strip_setup); \
- for p in $$list; do echo "$$p $$p"; done | \
- sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
- $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
- if (++n[$$2] == $(am__install_max)) \
- { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
- END { for (dir in files) print dir, files[dir] }'
-am__base_list = \
- sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
- sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
-am__uninstall_files_from_dir = { \
- test -z "$$files" \
- || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
- || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
- $(am__cd) "$$dir" && rm -f $$files; }; \
- }
-am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(girdir)" \
- "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(typelibdir)" \
- "$(DESTDIR)$(vapidir)" \
- "$(DESTDIR)$(libdbusmenu_gtk3includedir)" \
- "$(DESTDIR)$(libdbusmenu_gtkincludedir)"
-LTLIBRARIES = $(lib_LTLIBRARIES)
-am__DEPENDENCIES_1 =
-libdbusmenu_gtk_la_DEPENDENCIES = \
- $(top_builddir)/libdbusmenu-glib/libdbusmenu-glib.la \
- $(am__DEPENDENCIES_1)
-am_libdbusmenu_gtk_la_OBJECTS = libdbusmenu_gtk_la-client.lo \
- libdbusmenu_gtk_la-genericmenuitem.lo \
- libdbusmenu_gtk_la-genericmenuitem-enum-types.lo \
- libdbusmenu_gtk_la-menu.lo libdbusmenu_gtk_la-menuitem.lo \
- libdbusmenu_gtk_la-parser.lo
-libdbusmenu_gtk_la_OBJECTS = $(am_libdbusmenu_gtk_la_OBJECTS)
-AM_V_lt = $(am__v_lt_@AM_V@)
-am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
-am__v_lt_0 = --silent
-libdbusmenu_gtk_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
- $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
- $(libdbusmenu_gtk_la_CFLAGS) $(CFLAGS) \
- $(libdbusmenu_gtk_la_LDFLAGS) $(LDFLAGS) -o $@
-@USE_GTK3_FALSE@am_libdbusmenu_gtk_la_rpath = -rpath $(libdir)
-am__DEPENDENCIES_2 = \
- $(top_builddir)/libdbusmenu-glib/libdbusmenu-glib.la \
- $(am__DEPENDENCIES_1)
-libdbusmenu_gtk3_la_DEPENDENCIES = $(am__DEPENDENCIES_2)
-am__objects_1 = libdbusmenu_gtk3_la-client.lo \
- libdbusmenu_gtk3_la-genericmenuitem.lo \
- libdbusmenu_gtk3_la-genericmenuitem-enum-types.lo \
- libdbusmenu_gtk3_la-menu.lo libdbusmenu_gtk3_la-menuitem.lo \
- libdbusmenu_gtk3_la-parser.lo
-am_libdbusmenu_gtk3_la_OBJECTS = $(am__objects_1)
-libdbusmenu_gtk3_la_OBJECTS = $(am_libdbusmenu_gtk3_la_OBJECTS)
-libdbusmenu_gtk3_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
- $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
- $(libdbusmenu_gtk3_la_CFLAGS) $(CFLAGS) \
- $(libdbusmenu_gtk3_la_LDFLAGS) $(LDFLAGS) -o $@
-@USE_GTK3_TRUE@am_libdbusmenu_gtk3_la_rpath = -rpath $(libdir)
-DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
-depcomp = $(SHELL) $(top_srcdir)/depcomp
-am__depfiles_maybe = depfiles
-am__mv = mv -f
-COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
- $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
- $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
- $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
- $(AM_CFLAGS) $(CFLAGS)
-AM_V_CC = $(am__v_CC_@AM_V@)
-am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
-am__v_CC_0 = @echo " CC " $@;
-AM_V_at = $(am__v_at_@AM_V@)
-am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
-am__v_at_0 = @
-CCLD = $(CC)
-LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
- $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
- $(AM_LDFLAGS) $(LDFLAGS) -o $@
-AM_V_CCLD = $(am__v_CCLD_@AM_V@)
-am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
-am__v_CCLD_0 = @echo " CCLD " $@;
-AM_V_GEN = $(am__v_GEN_@AM_V@)
-am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
-am__v_GEN_0 = @echo " GEN " $@;
-SOURCES = $(libdbusmenu_gtk_la_SOURCES) $(libdbusmenu_gtk3_la_SOURCES)
-DIST_SOURCES = $(libdbusmenu_gtk_la_SOURCES) \
- $(libdbusmenu_gtk3_la_SOURCES)
-am__can_run_installinfo = \
- case $$AM_UPDATE_INFO_DIR in \
- n|no|NO) false;; \
- *) (install-info --version) >/dev/null 2>&1;; \
- esac
-DATA = $(gir_DATA) $(pkgconfig_DATA) $(typelib_DATA) $(vapi_DATA)
-HEADERS = $(libdbusmenu_gtk3include_HEADERS) \
- $(libdbusmenu_gtkinclude_HEADERS)
-ETAGS = etags
-CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = @ACLOCAL@
-ALL_LINGUAS = @ALL_LINGUAS@
-AMTAR = @AMTAR@
-AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
-AR = @AR@
-AUTOCONF = @AUTOCONF@
-AUTOHEADER = @AUTOHEADER@
-AUTOMAKE = @AUTOMAKE@
-AWK = @AWK@
-CATALOGS = @CATALOGS@
-CATOBJEXT = @CATOBJEXT@
-CC = @CC@
-CCDEPMODE = @CCDEPMODE@
-CFLAGS = @CFLAGS@
-COVERAGE_CFLAGS = @COVERAGE_CFLAGS@
-COVERAGE_LDFLAGS = @COVERAGE_LDFLAGS@
-CPP = @CPP@
-CPPFLAGS = @CPPFLAGS@
-CYGPATH_W = @CYGPATH_W@
-DATADIRNAME = @DATADIRNAME@
-DBUSMENUDUMPER_CFLAGS = @DBUSMENUDUMPER_CFLAGS@
-DBUSMENUDUMPER_LIBS = @DBUSMENUDUMPER_LIBS@
-DBUSMENUGLIB_CFLAGS = @DBUSMENUGLIB_CFLAGS@
-DBUSMENUGLIB_LIBS = @DBUSMENUGLIB_LIBS@
-DBUSMENUGTK_CFLAGS = @DBUSMENUGTK_CFLAGS@
-DBUSMENUGTK_LIBS = @DBUSMENUGTK_LIBS@
-DBUSMENUTESTSVALGRIND_CFLAGS = @DBUSMENUTESTSVALGRIND_CFLAGS@
-DBUSMENUTESTSVALGRIND_LIBS = @DBUSMENUTESTSVALGRIND_LIBS@
-DBUSMENUTESTS_CFLAGS = @DBUSMENUTESTS_CFLAGS@
-DBUSMENUTESTS_LIBS = @DBUSMENUTESTS_LIBS@
-DEFS = @DEFS@
-DEPDIR = @DEPDIR@
-DISTCHECK_CONFIGURE_FLAGS = @DISTCHECK_CONFIGURE_FLAGS@
-DLLTOOL = @DLLTOOL@
-DOC_USER_FORMATS = @DOC_USER_FORMATS@
-DSYMUTIL = @DSYMUTIL@
-DUMPBIN = @DUMPBIN@
-ECHO_C = @ECHO_C@
-ECHO_N = @ECHO_N@
-ECHO_T = @ECHO_T@
-EGREP = @EGREP@
-EXEEXT = @EXEEXT@
-FGREP = @FGREP@
-GCOVR = @GCOVR@
-GENHTML = @GENHTML@
-GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
-GLIB_MKENUMS = @GLIB_MKENUMS@
-GMOFILES = @GMOFILES@
-GMSGFMT = @GMSGFMT@
-GREP = @GREP@
-GTKDOC_CHECK = @GTKDOC_CHECK@
-GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
-GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
-GTKDOC_MKPDF = @GTKDOC_MKPDF@
-GTKDOC_REBASE = @GTKDOC_REBASE@
-HELP_DIR = @HELP_DIR@
-HTML_DIR = @HTML_DIR@
-INSTALL = @INSTALL@
-INSTALL_DATA = @INSTALL_DATA@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
-INSTALL_SCRIPT = @INSTALL_SCRIPT@
-INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
-INSTOBJEXT = @INSTOBJEXT@
-INTLLIBS = @INTLLIBS@
-INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
-INTLTOOL_MERGE = @INTLTOOL_MERGE@
-INTLTOOL_PERL = @INTLTOOL_PERL@
-INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
-INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
-INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
-INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
-INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
-INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
-INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
-INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
-INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
-INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
-INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
-INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
-LCOV = @LCOV@
-LD = @LD@
-LDFLAGS = @LDFLAGS@
-LIBDBUSMENU_AGE = @LIBDBUSMENU_AGE@
-LIBDBUSMENU_CURRENT = @LIBDBUSMENU_CURRENT@
-LIBDBUSMENU_REVISION = @LIBDBUSMENU_REVISION@
-LIBOBJS = @LIBOBJS@
-LIBS = @LIBS@
-LIBTOOL = @LIBTOOL@
-LIPO = @LIPO@
-LN_S = @LN_S@
-LTLIBOBJS = @LTLIBOBJS@
-MAINT = @MAINT@
-MAKEINFO = @MAKEINFO@
-MANIFEST_TOOL = @MANIFEST_TOOL@
-MKDIR_P = @MKDIR_P@
-MKINSTALLDIRS = @MKINSTALLDIRS@
-MSGFMT = @MSGFMT@
-MSGFMT_OPTS = @MSGFMT_OPTS@
-MSGMERGE = @MSGMERGE@
-NM = @NM@
-NMEDIT = @NMEDIT@
-OBJDUMP = @OBJDUMP@
-OBJEXT = @OBJEXT@
-OMF_DIR = @OMF_DIR@
-OTOOL = @OTOOL@
-OTOOL64 = @OTOOL64@
-PACKAGE = @PACKAGE@
-PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-PACKAGE_NAME = @PACKAGE_NAME@
-PACKAGE_STRING = @PACKAGE_STRING@
-PACKAGE_TARNAME = @PACKAGE_TARNAME@
-PACKAGE_URL = @PACKAGE_URL@
-PACKAGE_VERSION = @PACKAGE_VERSION@
-PATH_SEPARATOR = @PATH_SEPARATOR@
-PKG_CONFIG = @PKG_CONFIG@
-PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
-PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
-POFILES = @POFILES@
-POSUB = @POSUB@
-PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
-PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
-RANLIB = @RANLIB@
-SED = @SED@
-SET_MAKE = @SET_MAKE@
-SHELL = @SHELL@
-SHTOOL = @SHTOOL@
-STRIP = @STRIP@
-USE_NLS = @USE_NLS@
-VALA_API_GEN = @VALA_API_GEN@
-VERSION = @VERSION@
-XGETTEXT = @XGETTEXT@
-XSLT_PROC = @XSLT_PROC@
-abs_builddir = @abs_builddir@
-abs_srcdir = @abs_srcdir@
-abs_top_builddir = @abs_top_builddir@
-abs_top_srcdir = @abs_top_srcdir@
-ac_ct_AR = @ac_ct_AR@
-ac_ct_CC = @ac_ct_CC@
-ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
-am__include = @am__include@
-am__leading_dot = @am__leading_dot@
-am__quote = @am__quote@
-am__tar = @am__tar@
-am__untar = @am__untar@
-bindir = @bindir@
-build = @build@
-build_alias = @build_alias@
-build_cpu = @build_cpu@
-build_os = @build_os@
-build_vendor = @build_vendor@
-builddir = @builddir@
-datadir = @datadir@
-datarootdir = @datarootdir@
-docdir = @docdir@
-dvidir = @dvidir@
-exec_prefix = @exec_prefix@
-host = @host@
-host_alias = @host_alias@
-host_cpu = @host_cpu@
-host_os = @host_os@
-host_vendor = @host_vendor@
-htmldir = @htmldir@
-includedir = @includedir@
-infodir = @infodir@
-install_sh = @install_sh@
-intltool__v_merge_options_ = @intltool__v_merge_options_@
-intltool__v_merge_options_0 = @intltool__v_merge_options_0@
-libdir = @libdir@
-libexecdir = @libexecdir@
-localedir = @localedir@
-localstatedir = @localstatedir@
-mandir = @mandir@
-mkdir_p = @mkdir_p@
-oldincludedir = @oldincludedir@
-pdfdir = @pdfdir@
-prefix = @prefix@
-program_transform_name = @program_transform_name@
-psdir = @psdir@
-sbindir = @sbindir@
-sharedstatedir = @sharedstatedir@
-srcdir = @srcdir@
-sysconfdir = @sysconfdir@
-target_alias = @target_alias@
-top_build_prefix = @top_build_prefix@
-top_builddir = @top_builddir@
-top_srcdir = @top_srcdir@
-@USE_GTK3_FALSE@VER =
-@USE_GTK3_TRUE@VER = 3
-@USE_GTK3_FALSE@GTKGIR = Gtk-2.0
-@USE_GTK3_TRUE@GTKGIR = Gtk-3.0
-@USE_GTK3_FALSE@GTKVALA = gtk+-2.0
-@USE_GTK3_TRUE@GTKVALA = gtk+-3.0
-@USE_GTK3_FALSE@lib_LTLIBRARIES = libdbusmenu-gtk.la
-@USE_GTK3_TRUE@lib_LTLIBRARIES = libdbusmenu-gtk3.la
-BUILT_SOURCES = $(glib_enum_h) $(glib_enum_c)
-CLEANFILES = stamp-enum-types $(am__append_2) $(am__append_3)
-DISTCLEANFILES = $(glib_enum_h) $(glib_enum_c)
-EXTRA_DIST = dbusmenu-gtk-0.4.pc.in dbusmenu-gtk3-0.4.pc.in \
- $(enum_tmpl_h) $(enum_tmpl_c)
-enum_tmpl_h = $(glib_enum_h:.h=.h.in)
-enum_tmpl_c = $(glib_enum_c:.c=.c.in)
-
-##############
-# Enum Stuff
-##############
-glib_enum_h = genericmenuitem-enum-types.h
-glib_enum_c = genericmenuitem-enum-types.c
-glib_enum_headers = $(srcdir)/genericmenuitem.h
-
-#####################
-# Include Directory
-#####################
-libdbusmenu_gtkincludedir = $(includedir)/libdbusmenu-gtk$(VER)-0.4/libdbusmenu-gtk/
-libdbusmenu_gtkinclude_HEADERS = \
- dbusmenu-gtk.h \
- client.h \
- menu.h \
- menuitem.h \
- parser.h
-
-libdbusmenu_gtk_la_SOURCES = \
- client.h \
- client.c \
- genericmenuitem.h \
- genericmenuitem.c \
- genericmenuitem-enum-types.h \
- genericmenuitem-enum-types.c \
- menu.h \
- menu.c \
- menuitem.h \
- menuitem.c \
- parser.h \
- parser.c
-
-libdbusmenu_gtk_la_LDFLAGS = \
- $(COVERAGE_LDFLAGS) \
- -version-info $(LIBDBUSMENU_CURRENT):$(LIBDBUSMENU_REVISION):$(LIBDBUSMENU_AGE) \
- -no-undefined \
- -export-symbols-regex "^[^_].*"
-
-libdbusmenu_gtk_la_CFLAGS = \
- $(DBUSMENUGTK_CFLAGS) \
- $(COVERAGE_CFLAGS) \
- -I$(top_srcdir) \
- -Wall -Werror -Wno-error=deprecated-declarations \
- -DG_LOG_DOMAIN="\"LIBDBUSMENU-GTK\""
-
-libdbusmenu_gtk_la_LIBADD = \
- $(top_builddir)/libdbusmenu-glib/libdbusmenu-glib.la \
- $(DBUSMENUGTK_LIBS)
-
-
-# We duplicate these here because Automake won't let us use $(VER) on the left hand side.
-# Since we carefully use $(VER) in the right hand side above, we can assign the same values.
-# Only one version of the library is every compiled at the same time, so it is safe to reuse
-# the right hand sides like this.
-libdbusmenu_gtk3includedir = $(libdbusmenu_gtkincludedir)
-libdbusmenu_gtk3include_HEADERS = $(libdbusmenu_gtkinclude_HEADERS)
-libdbusmenu_gtk3_la_SOURCES = $(libdbusmenu_gtk_la_SOURCES)
-libdbusmenu_gtk3_la_LDFLAGS = $(libdbusmenu_gtk_la_LDFLAGS)
-libdbusmenu_gtk3_la_CFLAGS = $(libdbusmenu_gtk_la_CFLAGS)
-libdbusmenu_gtk3_la_LIBADD = $(libdbusmenu_gtk_la_LIBADD)
-pkgconfig_DATA = dbusmenu-gtk$(VER)-0.4.pc
-pkgconfigdir = $(libdir)/pkgconfig
-INTROSPECTION_GIRS = $(am__append_1)
-@INTROSPECTION_TEN_FALSE@INTROSPECTION_SCANNER_ARGS = --add-include-path=$(srcdir) \
-@INTROSPECTION_TEN_FALSE@ --warn-all \
-@INTROSPECTION_TEN_FALSE@ --add-include-path=$(top_builddir)/libdbusmenu-glib \
-@INTROSPECTION_TEN_FALSE@ $(addprefix --c-include=libdbusmenu-gtk/, $(libdbusmenu_gtkinclude_HEADERS))
-
-@INTROSPECTION_TEN_TRUE@INTROSPECTION_SCANNER_ARGS = --add-include-path=$(srcdir) \
-@INTROSPECTION_TEN_TRUE@ --warn-all \
-@INTROSPECTION_TEN_TRUE@ --add-include-path=$(top_builddir)/libdbusmenu-glib \
-@INTROSPECTION_TEN_TRUE@ $(addprefix --c-include=libdbusmenu-gtk/, $(libdbusmenu_gtkinclude_HEADERS)) \
-@INTROSPECTION_TEN_TRUE@ --symbol-prefix=dbusmenu \
-@INTROSPECTION_TEN_TRUE@ --identifier-prefix=DbusmenuGtk
-
-INTROSPECTION_COMPILER_ARGS = --includedir=$(builddir) --includedir=$(top_builddir)/libdbusmenu-glib
-@HAVE_INTROSPECTION_TRUE@introspection_sources = $(filter-out genericmenuitem%, $(libdbusmenu_gtkinclude_HEADERS) $(libdbusmenu_gtk_la_SOURCES))
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk_0_4_gir_INCLUDES = \
-@HAVE_INTROSPECTION_TRUE@ GObject-2.0 \
-@HAVE_INTROSPECTION_TRUE@ $(GTKGIR) \
-@HAVE_INTROSPECTION_TRUE@ Dbusmenu-0.4
-
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk_0_4_gir_CFLAGS = \
-@HAVE_INTROSPECTION_TRUE@ $(DBUSMENUGTK_CFLAGS) \
-@HAVE_INTROSPECTION_TRUE@ $(COVERAGE_CFLAGS) \
-@HAVE_INTROSPECTION_TRUE@ -I$(top_srcdir)
-
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk_0_4_gir_LDFLAGS = \
-@HAVE_INTROSPECTION_TRUE@ $(COVERAGE_LDFLAGS)
-
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk_0_4_gir_LIBS = libdbusmenu-gtk$(VER).la \
-@HAVE_INTROSPECTION_TRUE@ $(top_builddir)/libdbusmenu-glib/libdbusmenu-glib.la
-
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk_0_4_gir_FILES = $(addprefix $(srcdir)/, $(introspection_sources))
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk_0_4_gir_NAMESPACE = DbusmenuGtk$(VER)
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk_0_4_gir_EXPORT_PACKAGES = dbusmenu-gtk$(VER)-0.4
-
-# We duplicate these for the same reason as libdbusmenu_gtk3includedir above
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk3_0_4_gir_INCLUDES = $(DbusmenuGtk_0_4_gir_INCLUDES)
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk3_0_4_gir_CFLAGS = $(DbusmenuGtk_0_4_gir_CFLAGS)
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk3_0_4_gir_LDFLAGS = $(DbusmenuGtk_0_4_gir_LDFLAGS)
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk3_0_4_gir_LIBS = $(DbusmenuGtk_0_4_gir_LIBS)
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk3_0_4_gir_FILES = $(DbusmenuGtk_0_4_gir_FILES)
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk3_0_4_gir_NAMESPACE = $(DbusmenuGtk_0_4_gir_NAMESPACE)
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk3_0_4_gir_EXPORT_PACKAGES = $(DbusmenuGtk_0_4_gir_EXPORT_PACKAGES)
-@HAVE_INTROSPECTION_TRUE@girdir = $(datadir)/gir-1.0
-@HAVE_INTROSPECTION_TRUE@gir_DATA = $(INTROSPECTION_GIRS)
-@HAVE_INTROSPECTION_TRUE@typelibdir = $(libdir)/girepository-1.0
-@HAVE_INTROSPECTION_TRUE@typelib_DATA = $(INTROSPECTION_GIRS:.gir=.typelib)
-
-#########################
-# VAPI Files
-#########################
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@vapidir = $(datadir)/vala/vapi
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@vapi_DATA = DbusmenuGtk$(VER)-0.4.vapi
-all: $(BUILT_SOURCES)
- $(MAKE) $(AM_MAKEFLAGS) all-am
-
-.SUFFIXES:
-.SUFFIXES: .c .lo .o .obj
-$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.enum $(am__configure_deps)
- @for dep in $?; do \
- case '$(am__configure_deps)' in \
- *$$dep*) \
- ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
- && { if test -f $@; then exit 0; else break; fi; }; \
- exit 1;; \
- esac; \
- done; \
- echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu libdbusmenu-gtk/Makefile'; \
- $(am__cd) $(top_srcdir) && \
- $(AUTOMAKE) --gnu libdbusmenu-gtk/Makefile
-.PRECIOUS: Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
- @case '$?' in \
- *config.status*) \
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
- *) \
- echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
- cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
- esac;
-$(top_srcdir)/Makefile.am.enum:
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-
-$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(am__aclocal_m4_deps):
-dbusmenu-gtk-0.4.pc: $(top_builddir)/config.status $(srcdir)/dbusmenu-gtk-0.4.pc.in
- cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
-dbusmenu-gtk3-0.4.pc: $(top_builddir)/config.status $(srcdir)/dbusmenu-gtk3-0.4.pc.in
- cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
-install-libLTLIBRARIES: $(lib_LTLIBRARIES)
- @$(NORMAL_INSTALL)
- @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
- list2=; for p in $$list; do \
- if test -f $$p; then \
- list2="$$list2 $$p"; \
- else :; fi; \
- done; \
- test -z "$$list2" || { \
- echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
- echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
- $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
- }
-
-uninstall-libLTLIBRARIES:
- @$(NORMAL_UNINSTALL)
- @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
- for p in $$list; do \
- $(am__strip_dir) \
- echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
- $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
- done
-
-clean-libLTLIBRARIES:
- -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
- @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
- dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
- test "$$dir" != "$$p" || dir=.; \
- echo "rm -f \"$${dir}/so_locations\""; \
- rm -f "$${dir}/so_locations"; \
- done
-libdbusmenu-gtk.la: $(libdbusmenu_gtk_la_OBJECTS) $(libdbusmenu_gtk_la_DEPENDENCIES) $(EXTRA_libdbusmenu_gtk_la_DEPENDENCIES)
- $(AM_V_CCLD)$(libdbusmenu_gtk_la_LINK) $(am_libdbusmenu_gtk_la_rpath) $(libdbusmenu_gtk_la_OBJECTS) $(libdbusmenu_gtk_la_LIBADD) $(LIBS)
-libdbusmenu-gtk3.la: $(libdbusmenu_gtk3_la_OBJECTS) $(libdbusmenu_gtk3_la_DEPENDENCIES) $(EXTRA_libdbusmenu_gtk3_la_DEPENDENCIES)
- $(AM_V_CCLD)$(libdbusmenu_gtk3_la_LINK) $(am_libdbusmenu_gtk3_la_rpath) $(libdbusmenu_gtk3_la_OBJECTS) $(libdbusmenu_gtk3_la_LIBADD) $(LIBS)
-
-mostlyclean-compile:
- -rm -f *.$(OBJEXT)
-
-distclean-compile:
- -rm -f *.tab.c
-
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libdbusmenu_gtk3_la-client.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libdbusmenu_gtk3_la-genericmenuitem-enum-types.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libdbusmenu_gtk3_la-genericmenuitem.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libdbusmenu_gtk3_la-menu.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libdbusmenu_gtk3_la-menuitem.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libdbusmenu_gtk3_la-parser.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libdbusmenu_gtk_la-client.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libdbusmenu_gtk_la-genericmenuitem-enum-types.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libdbusmenu_gtk_la-genericmenuitem.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libdbusmenu_gtk_la-menu.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libdbusmenu_gtk_la-menuitem.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libdbusmenu_gtk_la-parser.Plo@am__quote@
-
-.c.o:
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
-
-.c.obj:
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
-
-.c.lo:
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
-
-libdbusmenu_gtk_la-client.lo: client.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk_la_CFLAGS) $(CFLAGS) -MT libdbusmenu_gtk_la-client.lo -MD -MP -MF $(DEPDIR)/libdbusmenu_gtk_la-client.Tpo -c -o libdbusmenu_gtk_la-client.lo `test -f 'client.c' || echo '$(srcdir)/'`client.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libdbusmenu_gtk_la-client.Tpo $(DEPDIR)/libdbusmenu_gtk_la-client.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='client.c' object='libdbusmenu_gtk_la-client.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk_la_CFLAGS) $(CFLAGS) -c -o libdbusmenu_gtk_la-client.lo `test -f 'client.c' || echo '$(srcdir)/'`client.c
-
-libdbusmenu_gtk_la-genericmenuitem.lo: genericmenuitem.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk_la_CFLAGS) $(CFLAGS) -MT libdbusmenu_gtk_la-genericmenuitem.lo -MD -MP -MF $(DEPDIR)/libdbusmenu_gtk_la-genericmenuitem.Tpo -c -o libdbusmenu_gtk_la-genericmenuitem.lo `test -f 'genericmenuitem.c' || echo '$(srcdir)/'`genericmenuitem.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libdbusmenu_gtk_la-genericmenuitem.Tpo $(DEPDIR)/libdbusmenu_gtk_la-genericmenuitem.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='genericmenuitem.c' object='libdbusmenu_gtk_la-genericmenuitem.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk_la_CFLAGS) $(CFLAGS) -c -o libdbusmenu_gtk_la-genericmenuitem.lo `test -f 'genericmenuitem.c' || echo '$(srcdir)/'`genericmenuitem.c
-
-libdbusmenu_gtk_la-genericmenuitem-enum-types.lo: genericmenuitem-enum-types.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk_la_CFLAGS) $(CFLAGS) -MT libdbusmenu_gtk_la-genericmenuitem-enum-types.lo -MD -MP -MF $(DEPDIR)/libdbusmenu_gtk_la-genericmenuitem-enum-types.Tpo -c -o libdbusmenu_gtk_la-genericmenuitem-enum-types.lo `test -f 'genericmenuitem-enum-types.c' || echo '$(srcdir)/'`genericmenuitem-enum-types.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libdbusmenu_gtk_la-genericmenuitem-enum-types.Tpo $(DEPDIR)/libdbusmenu_gtk_la-genericmenuitem-enum-types.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='genericmenuitem-enum-types.c' object='libdbusmenu_gtk_la-genericmenuitem-enum-types.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk_la_CFLAGS) $(CFLAGS) -c -o libdbusmenu_gtk_la-genericmenuitem-enum-types.lo `test -f 'genericmenuitem-enum-types.c' || echo '$(srcdir)/'`genericmenuitem-enum-types.c
-
-libdbusmenu_gtk_la-menu.lo: menu.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk_la_CFLAGS) $(CFLAGS) -MT libdbusmenu_gtk_la-menu.lo -MD -MP -MF $(DEPDIR)/libdbusmenu_gtk_la-menu.Tpo -c -o libdbusmenu_gtk_la-menu.lo `test -f 'menu.c' || echo '$(srcdir)/'`menu.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libdbusmenu_gtk_la-menu.Tpo $(DEPDIR)/libdbusmenu_gtk_la-menu.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='menu.c' object='libdbusmenu_gtk_la-menu.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk_la_CFLAGS) $(CFLAGS) -c -o libdbusmenu_gtk_la-menu.lo `test -f 'menu.c' || echo '$(srcdir)/'`menu.c
-
-libdbusmenu_gtk_la-menuitem.lo: menuitem.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk_la_CFLAGS) $(CFLAGS) -MT libdbusmenu_gtk_la-menuitem.lo -MD -MP -MF $(DEPDIR)/libdbusmenu_gtk_la-menuitem.Tpo -c -o libdbusmenu_gtk_la-menuitem.lo `test -f 'menuitem.c' || echo '$(srcdir)/'`menuitem.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libdbusmenu_gtk_la-menuitem.Tpo $(DEPDIR)/libdbusmenu_gtk_la-menuitem.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='menuitem.c' object='libdbusmenu_gtk_la-menuitem.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk_la_CFLAGS) $(CFLAGS) -c -o libdbusmenu_gtk_la-menuitem.lo `test -f 'menuitem.c' || echo '$(srcdir)/'`menuitem.c
-
-libdbusmenu_gtk_la-parser.lo: parser.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk_la_CFLAGS) $(CFLAGS) -MT libdbusmenu_gtk_la-parser.lo -MD -MP -MF $(DEPDIR)/libdbusmenu_gtk_la-parser.Tpo -c -o libdbusmenu_gtk_la-parser.lo `test -f 'parser.c' || echo '$(srcdir)/'`parser.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libdbusmenu_gtk_la-parser.Tpo $(DEPDIR)/libdbusmenu_gtk_la-parser.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='parser.c' object='libdbusmenu_gtk_la-parser.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk_la_CFLAGS) $(CFLAGS) -c -o libdbusmenu_gtk_la-parser.lo `test -f 'parser.c' || echo '$(srcdir)/'`parser.c
-
-libdbusmenu_gtk3_la-client.lo: client.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk3_la_CFLAGS) $(CFLAGS) -MT libdbusmenu_gtk3_la-client.lo -MD -MP -MF $(DEPDIR)/libdbusmenu_gtk3_la-client.Tpo -c -o libdbusmenu_gtk3_la-client.lo `test -f 'client.c' || echo '$(srcdir)/'`client.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libdbusmenu_gtk3_la-client.Tpo $(DEPDIR)/libdbusmenu_gtk3_la-client.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='client.c' object='libdbusmenu_gtk3_la-client.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk3_la_CFLAGS) $(CFLAGS) -c -o libdbusmenu_gtk3_la-client.lo `test -f 'client.c' || echo '$(srcdir)/'`client.c
-
-libdbusmenu_gtk3_la-genericmenuitem.lo: genericmenuitem.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk3_la_CFLAGS) $(CFLAGS) -MT libdbusmenu_gtk3_la-genericmenuitem.lo -MD -MP -MF $(DEPDIR)/libdbusmenu_gtk3_la-genericmenuitem.Tpo -c -o libdbusmenu_gtk3_la-genericmenuitem.lo `test -f 'genericmenuitem.c' || echo '$(srcdir)/'`genericmenuitem.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libdbusmenu_gtk3_la-genericmenuitem.Tpo $(DEPDIR)/libdbusmenu_gtk3_la-genericmenuitem.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='genericmenuitem.c' object='libdbusmenu_gtk3_la-genericmenuitem.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk3_la_CFLAGS) $(CFLAGS) -c -o libdbusmenu_gtk3_la-genericmenuitem.lo `test -f 'genericmenuitem.c' || echo '$(srcdir)/'`genericmenuitem.c
-
-libdbusmenu_gtk3_la-genericmenuitem-enum-types.lo: genericmenuitem-enum-types.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk3_la_CFLAGS) $(CFLAGS) -MT libdbusmenu_gtk3_la-genericmenuitem-enum-types.lo -MD -MP -MF $(DEPDIR)/libdbusmenu_gtk3_la-genericmenuitem-enum-types.Tpo -c -o libdbusmenu_gtk3_la-genericmenuitem-enum-types.lo `test -f 'genericmenuitem-enum-types.c' || echo '$(srcdir)/'`genericmenuitem-enum-types.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libdbusmenu_gtk3_la-genericmenuitem-enum-types.Tpo $(DEPDIR)/libdbusmenu_gtk3_la-genericmenuitem-enum-types.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='genericmenuitem-enum-types.c' object='libdbusmenu_gtk3_la-genericmenuitem-enum-types.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk3_la_CFLAGS) $(CFLAGS) -c -o libdbusmenu_gtk3_la-genericmenuitem-enum-types.lo `test -f 'genericmenuitem-enum-types.c' || echo '$(srcdir)/'`genericmenuitem-enum-types.c
-
-libdbusmenu_gtk3_la-menu.lo: menu.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk3_la_CFLAGS) $(CFLAGS) -MT libdbusmenu_gtk3_la-menu.lo -MD -MP -MF $(DEPDIR)/libdbusmenu_gtk3_la-menu.Tpo -c -o libdbusmenu_gtk3_la-menu.lo `test -f 'menu.c' || echo '$(srcdir)/'`menu.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libdbusmenu_gtk3_la-menu.Tpo $(DEPDIR)/libdbusmenu_gtk3_la-menu.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='menu.c' object='libdbusmenu_gtk3_la-menu.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk3_la_CFLAGS) $(CFLAGS) -c -o libdbusmenu_gtk3_la-menu.lo `test -f 'menu.c' || echo '$(srcdir)/'`menu.c
-
-libdbusmenu_gtk3_la-menuitem.lo: menuitem.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk3_la_CFLAGS) $(CFLAGS) -MT libdbusmenu_gtk3_la-menuitem.lo -MD -MP -MF $(DEPDIR)/libdbusmenu_gtk3_la-menuitem.Tpo -c -o libdbusmenu_gtk3_la-menuitem.lo `test -f 'menuitem.c' || echo '$(srcdir)/'`menuitem.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libdbusmenu_gtk3_la-menuitem.Tpo $(DEPDIR)/libdbusmenu_gtk3_la-menuitem.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='menuitem.c' object='libdbusmenu_gtk3_la-menuitem.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk3_la_CFLAGS) $(CFLAGS) -c -o libdbusmenu_gtk3_la-menuitem.lo `test -f 'menuitem.c' || echo '$(srcdir)/'`menuitem.c
-
-libdbusmenu_gtk3_la-parser.lo: parser.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk3_la_CFLAGS) $(CFLAGS) -MT libdbusmenu_gtk3_la-parser.lo -MD -MP -MF $(DEPDIR)/libdbusmenu_gtk3_la-parser.Tpo -c -o libdbusmenu_gtk3_la-parser.lo `test -f 'parser.c' || echo '$(srcdir)/'`parser.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libdbusmenu_gtk3_la-parser.Tpo $(DEPDIR)/libdbusmenu_gtk3_la-parser.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='parser.c' object='libdbusmenu_gtk3_la-parser.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdbusmenu_gtk3_la_CFLAGS) $(CFLAGS) -c -o libdbusmenu_gtk3_la-parser.lo `test -f 'parser.c' || echo '$(srcdir)/'`parser.c
-
-mostlyclean-libtool:
- -rm -f *.lo
-
-clean-libtool:
- -rm -rf .libs _libs
-install-girDATA: $(gir_DATA)
- @$(NORMAL_INSTALL)
- @list='$(gir_DATA)'; test -n "$(girdir)" || list=; \
- if test -n "$$list"; then \
- echo " $(MKDIR_P) '$(DESTDIR)$(girdir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(girdir)" || exit 1; \
- fi; \
- for p in $$list; do \
- if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
- echo "$$d$$p"; \
- done | $(am__base_list) | \
- while read files; do \
- echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(girdir)'"; \
- $(INSTALL_DATA) $$files "$(DESTDIR)$(girdir)" || exit $$?; \
- done
-
-uninstall-girDATA:
- @$(NORMAL_UNINSTALL)
- @list='$(gir_DATA)'; test -n "$(girdir)" || list=; \
- files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
- dir='$(DESTDIR)$(girdir)'; $(am__uninstall_files_from_dir)
-install-pkgconfigDATA: $(pkgconfig_DATA)
- @$(NORMAL_INSTALL)
- @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
- if test -n "$$list"; then \
- echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
- fi; \
- for p in $$list; do \
- if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
- echo "$$d$$p"; \
- done | $(am__base_list) | \
- while read files; do \
- echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
- $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
- done
-
-uninstall-pkgconfigDATA:
- @$(NORMAL_UNINSTALL)
- @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
- files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
- dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
-install-typelibDATA: $(typelib_DATA)
- @$(NORMAL_INSTALL)
- @list='$(typelib_DATA)'; test -n "$(typelibdir)" || list=; \
- if test -n "$$list"; then \
- echo " $(MKDIR_P) '$(DESTDIR)$(typelibdir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(typelibdir)" || exit 1; \
- fi; \
- for p in $$list; do \
- if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
- echo "$$d$$p"; \
- done | $(am__base_list) | \
- while read files; do \
- echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(typelibdir)'"; \
- $(INSTALL_DATA) $$files "$(DESTDIR)$(typelibdir)" || exit $$?; \
- done
-
-uninstall-typelibDATA:
- @$(NORMAL_UNINSTALL)
- @list='$(typelib_DATA)'; test -n "$(typelibdir)" || list=; \
- files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
- dir='$(DESTDIR)$(typelibdir)'; $(am__uninstall_files_from_dir)
-install-vapiDATA: $(vapi_DATA)
- @$(NORMAL_INSTALL)
- @list='$(vapi_DATA)'; test -n "$(vapidir)" || list=; \
- if test -n "$$list"; then \
- echo " $(MKDIR_P) '$(DESTDIR)$(vapidir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(vapidir)" || exit 1; \
- fi; \
- for p in $$list; do \
- if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
- echo "$$d$$p"; \
- done | $(am__base_list) | \
- while read files; do \
- echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(vapidir)'"; \
- $(INSTALL_DATA) $$files "$(DESTDIR)$(vapidir)" || exit $$?; \
- done
-
-uninstall-vapiDATA:
- @$(NORMAL_UNINSTALL)
- @list='$(vapi_DATA)'; test -n "$(vapidir)" || list=; \
- files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
- dir='$(DESTDIR)$(vapidir)'; $(am__uninstall_files_from_dir)
-install-libdbusmenu_gtk3includeHEADERS: $(libdbusmenu_gtk3include_HEADERS)
- @$(NORMAL_INSTALL)
- @list='$(libdbusmenu_gtk3include_HEADERS)'; test -n "$(libdbusmenu_gtk3includedir)" || list=; \
- if test -n "$$list"; then \
- echo " $(MKDIR_P) '$(DESTDIR)$(libdbusmenu_gtk3includedir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(libdbusmenu_gtk3includedir)" || exit 1; \
- fi; \
- for p in $$list; do \
- if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
- echo "$$d$$p"; \
- done | $(am__base_list) | \
- while read files; do \
- echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libdbusmenu_gtk3includedir)'"; \
- $(INSTALL_HEADER) $$files "$(DESTDIR)$(libdbusmenu_gtk3includedir)" || exit $$?; \
- done
-
-uninstall-libdbusmenu_gtk3includeHEADERS:
- @$(NORMAL_UNINSTALL)
- @list='$(libdbusmenu_gtk3include_HEADERS)'; test -n "$(libdbusmenu_gtk3includedir)" || list=; \
- files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
- dir='$(DESTDIR)$(libdbusmenu_gtk3includedir)'; $(am__uninstall_files_from_dir)
-install-libdbusmenu_gtkincludeHEADERS: $(libdbusmenu_gtkinclude_HEADERS)
- @$(NORMAL_INSTALL)
- @list='$(libdbusmenu_gtkinclude_HEADERS)'; test -n "$(libdbusmenu_gtkincludedir)" || list=; \
- if test -n "$$list"; then \
- echo " $(MKDIR_P) '$(DESTDIR)$(libdbusmenu_gtkincludedir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(libdbusmenu_gtkincludedir)" || exit 1; \
- fi; \
- for p in $$list; do \
- if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
- echo "$$d$$p"; \
- done | $(am__base_list) | \
- while read files; do \
- echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libdbusmenu_gtkincludedir)'"; \
- $(INSTALL_HEADER) $$files "$(DESTDIR)$(libdbusmenu_gtkincludedir)" || exit $$?; \
- done
-
-uninstall-libdbusmenu_gtkincludeHEADERS:
- @$(NORMAL_UNINSTALL)
- @list='$(libdbusmenu_gtkinclude_HEADERS)'; test -n "$(libdbusmenu_gtkincludedir)" || list=; \
- files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
- dir='$(DESTDIR)$(libdbusmenu_gtkincludedir)'; $(am__uninstall_files_from_dir)
-
-ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
- list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
- $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
- END { if (nonempty) { for (i in files) print i; }; }'`; \
- mkid -fID $$unique
-tags: TAGS
-
-TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
- $(TAGS_FILES) $(LISP)
- set x; \
- here=`pwd`; \
- list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
- $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
- END { if (nonempty) { for (i in files) print i; }; }'`; \
- shift; \
- if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
- test -n "$$unique" || unique=$$empty_fix; \
- if test $$# -gt 0; then \
- $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
- "$$@" $$unique; \
- else \
- $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
- $$unique; \
- fi; \
- fi
-ctags: CTAGS
-CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
- $(TAGS_FILES) $(LISP)
- list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
- $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
- END { if (nonempty) { for (i in files) print i; }; }'`; \
- test -z "$(CTAGS_ARGS)$$unique" \
- || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
- $$unique
-
-GTAGS:
- here=`$(am__cd) $(top_builddir) && pwd` \
- && $(am__cd) $(top_srcdir) \
- && gtags -i $(GTAGS_ARGS) "$$here"
-
-distclean-tags:
- -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
- @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
- topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
- list='$(DISTFILES)'; \
- dist_files=`for file in $$list; do echo $$file; done | \
- sed -e "s|^$$srcdirstrip/||;t" \
- -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
- case $$dist_files in \
- */*) $(MKDIR_P) `echo "$$dist_files" | \
- sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
- sort -u` ;; \
- esac; \
- for file in $$dist_files; do \
- if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
- if test -d $$d/$$file; then \
- dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
- if test -d "$(distdir)/$$file"; then \
- find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
- fi; \
- if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
- cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
- find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
- fi; \
- cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
- else \
- test -f "$(distdir)/$$file" \
- || cp -p $$d/$$file "$(distdir)/$$file" \
- || exit 1; \
- fi; \
- done
-check-am: all-am
-check: $(BUILT_SOURCES)
- $(MAKE) $(AM_MAKEFLAGS) check-am
-all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)
-installdirs:
- for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(girdir)" "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(typelibdir)" "$(DESTDIR)$(vapidir)" "$(DESTDIR)$(libdbusmenu_gtk3includedir)" "$(DESTDIR)$(libdbusmenu_gtkincludedir)"; do \
- test -z "$$dir" || $(MKDIR_P) "$$dir"; \
- done
-install: $(BUILT_SOURCES)
- $(MAKE) $(AM_MAKEFLAGS) install-am
-install-exec: install-exec-am
-install-data: install-data-am
-uninstall: uninstall-am
-
-install-am: all-am
- @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-am
-install-strip:
- if test -z '$(STRIP)'; then \
- $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
- install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
- install; \
- else \
- $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
- install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
- "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
- fi
-mostlyclean-generic:
-
-clean-generic:
- -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
-
-distclean-generic:
- -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
- -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
- -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
-
-maintainer-clean-generic:
- @echo "This command is intended for maintainers to use"
- @echo "it deletes files that may require special tools to rebuild."
- -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
-clean: clean-am
-
-clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
- mostlyclean-am
-
-distclean: distclean-am
- -rm -rf ./$(DEPDIR)
- -rm -f Makefile
-distclean-am: clean-am distclean-compile distclean-generic \
- distclean-tags
-
-dvi: dvi-am
-
-dvi-am:
-
-html: html-am
-
-html-am:
-
-info: info-am
-
-info-am:
-
-install-data-am: install-girDATA \
- install-libdbusmenu_gtk3includeHEADERS \
- install-libdbusmenu_gtkincludeHEADERS install-pkgconfigDATA \
- install-typelibDATA install-vapiDATA
-
-install-dvi: install-dvi-am
-
-install-dvi-am:
-
-install-exec-am: install-libLTLIBRARIES
-
-install-html: install-html-am
-
-install-html-am:
-
-install-info: install-info-am
-
-install-info-am:
-
-install-man:
-
-install-pdf: install-pdf-am
-
-install-pdf-am:
-
-install-ps: install-ps-am
-
-install-ps-am:
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-am
- -rm -rf ./$(DEPDIR)
- -rm -f Makefile
-maintainer-clean-am: distclean-am maintainer-clean-generic
-
-mostlyclean: mostlyclean-am
-
-mostlyclean-am: mostlyclean-compile mostlyclean-generic \
- mostlyclean-libtool
-
-pdf: pdf-am
-
-pdf-am:
-
-ps: ps-am
-
-ps-am:
-
-uninstall-am: uninstall-girDATA uninstall-libLTLIBRARIES \
- uninstall-libdbusmenu_gtk3includeHEADERS \
- uninstall-libdbusmenu_gtkincludeHEADERS \
- uninstall-pkgconfigDATA uninstall-typelibDATA \
- uninstall-vapiDATA
-
-.MAKE: all check install install-am install-strip
-
-.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
- clean-libLTLIBRARIES clean-libtool ctags distclean \
- distclean-compile distclean-generic distclean-libtool \
- distclean-tags distdir dvi dvi-am html html-am info info-am \
- install install-am install-data install-data-am install-dvi \
- install-dvi-am install-exec install-exec-am install-girDATA \
- install-html install-html-am install-info install-info-am \
- install-libLTLIBRARIES install-libdbusmenu_gtk3includeHEADERS \
- install-libdbusmenu_gtkincludeHEADERS install-man install-pdf \
- install-pdf-am install-pkgconfigDATA install-ps install-ps-am \
- install-strip install-typelibDATA install-vapiDATA \
- installcheck installcheck-am installdirs maintainer-clean \
- maintainer-clean-generic mostlyclean mostlyclean-compile \
- mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
- tags uninstall uninstall-am uninstall-girDATA \
- uninstall-libLTLIBRARIES \
- uninstall-libdbusmenu_gtk3includeHEADERS \
- uninstall-libdbusmenu_gtkincludeHEADERS \
- uninstall-pkgconfigDATA uninstall-typelibDATA \
- uninstall-vapiDATA
-
-
-stamp-enum-types: $(glib_enum_headers)
- $(QUIET_GEN)mkdir -p `dirname $(builddir)/$(glib_enum_h)`
- $(QUIET_GEN)$(GLIB_MKENUMS) \
- --template $(srcdir)/$(enum_tmpl_h) \
- $(glib_enum_headers) > xgen-eh \
- && (cmp -s xgen-eh $(builddir)/$(glib_enum_h) || cp -f xgen-eh $(builddir)/$(glib_enum_h)) \
- && rm -f xgen-eh \
- && echo timestamp > $(@F)
-
-$(glib_enum_h): stamp-enum-types
- @true
-
-$(glib_enum_c): $(builddir)/$(glib_enum_h)
- $(QUIET_GEN)mkdir -p `dirname $(builddir)/$(glib_enum_c)`
- $(QUIET_GEN)$(GLIB_MKENUMS) \
- --template $(srcdir)/$(enum_tmpl_c) \
- $(glib_enum_headers) > xgen-ec \
- && cp -f xgen-ec $(builddir)/$(glib_enum_c) \
- && rm -f xgen-ec
-
-#########################
-# GObject Introsepction
-#########################
-
--include $(INTROSPECTION_MAKEFILE)
-
-@HAVE_INTROSPECTION_TRUE@DbusmenuGtk$(VER)-0.4.gir: libdbusmenu-gtk$(VER).la
-
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@DbusmenuGtk$(VER)-0.4.vapi: DbusmenuGtk$(VER)-0.4.tmp.gir Makefile.am
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@ $(VALA_API_GEN) --library=DbusmenuGtk$(VER)-0.4 \
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@ --pkg gdk-pixbuf-2.0 \
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@ --pkg $(GTKVALA) \
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@ --pkg atk \
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@ --pkg Dbusmenu-0.4 \
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@ --vapidir=$(top_builddir)/libdbusmenu-glib \
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@ $<
-
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@DbusmenuGtk$(VER)-0.4.tmp.gir: DbusmenuGtk$(VER)-0.4.gir
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@ $(SED) \
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@ -e "s|GdkPixbuf.Pixbuf|Gdk.Pixbuf|g" \
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@ -e "s|Atk.ImplementorIface|Atk.Implementor|g" \
-@HAVE_INTROSPECTION_TRUE@@HAVE_VALA_TRUE@ $< > $@
-
-# Tell versions [3.59,3.63) of GNU make to not export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:
diff --git a/libdbusmenu-gtk/client.c b/libdbusmenu-gtk/client.c
index 60af93f..c33aaf3 100644
--- a/libdbusmenu-gtk/client.c
+++ b/libdbusmenu-gtk/client.c
@@ -193,7 +193,7 @@ theme_dir_ref (GtkIconTheme * theme, GHashTable * db, const gchar * dir)
return;
}
-/* Unreference the theme directory, and if it's count goes to zero then
+/* Unreference the theme directory, and if its count goes to zero then
we need to remove it from the search path. */
static void
theme_dir_unref (GtkIconTheme * theme, GHashTable * db, const gchar * dir)
@@ -462,7 +462,7 @@ static const gchar * data_delayed_close = "dbusmenugtk-data-delayed-close";
static void
menu_item_start_activating(DbusmenuMenuitem * mi)
{
- /* Mark this item and all it's parents as activating */
+ /* Mark this item and all its parents as activating */
DbusmenuMenuitem * parent = mi;
do {
g_object_set_data(G_OBJECT(parent), data_activating,
@@ -485,7 +485,7 @@ menu_item_stop_activating(DbusmenuMenuitem * mi)
if (!menu_item_is_activating(mi))
return;
- /* Mark this item and all it's parents as not activating and finally
+ /* Mark this item and all its parents as not activating and finally
send their queued close event. */
g_object_set_data(G_OBJECT(mi), data_activating, GINT_TO_POINTER(FALSE));
@@ -1180,7 +1180,11 @@ image_property_handle (DbusmenuMenuitem * item, const gchar * property, GVariant
/* If we have an image already built from a name that is
way better than a pixbuf. Keep it. */
if (gtkimage != NULL && (gtk_image_get_storage_type(GTK_IMAGE(gtkimage)) == GTK_IMAGE_ICON_NAME || gtk_image_get_storage_type(GTK_IMAGE(gtkimage)) == GTK_IMAGE_EMPTY)) {
- return;
+ const gchar *icon_name = NULL;
+ gtk_image_get_icon_name (GTK_IMAGE(gtkimage), &icon_name, NULL);
+ if (gtk_icon_theme_has_icon(gtk_icon_theme_get_default(), icon_name)) {
+ return;
+ }
}
}
diff --git a/libdbusmenu-gtk/genericmenuitem-enum-types.c b/libdbusmenu-gtk/genericmenuitem-enum-types.c
deleted file mode 100644
index 7105ba0..0000000
--- a/libdbusmenu-gtk/genericmenuitem-enum-types.c
+++ /dev/null
@@ -1,259 +0,0 @@
-
-/* Generated data (by glib-mkenums) */
-
-/*
-Enums from the dbusmenu headers
-
-Copyright 2011 Canonical Ltd.
-
-Authors:
- Ted Gould <ted@canonical.com>
-
-This program is free software: you can redistribute it and/or modify it
-under the terms of either or both of the following licenses:
-
-1) the GNU Lesser General Public License version 3, as published by the
- Free Software Foundation; and/or
-2) the GNU Lesser General Public License version 2.1, as published by
- the Free Software Foundation.
-
-This program is distributed in the hope that it will be useful, but
-WITHOUT ANY WARRANTY; without even the implied warranties of
-MERCHANTABILITY, SATISFACTORY QUALITY or FITNESS FOR A PARTICULAR
-PURPOSE. See the applicable version of the GNU Lesser General Public
-License for more details.
-
-You should have received a copy of both the GNU Lesser General Public
-License version 3 and version 2.1 along with this program. If not, see
-<http://www.gnu.org/licenses/>
-*/
-
-#include "genericmenuitem-enum-types.h"
-
-#include "genericmenuitem.h"
-/**
- genericmenuitem_check_type_get_type:
-
- Builds a GLib type for the #GenericmenuitemCheckType enumeration.
-
- Return value: A unique #GType for the #GenericmenuitemCheckType enum.
-*/
-GType
-genericmenuitem_check_type_get_type (void)
-{
- static GType etype = 0;
- if (G_UNLIKELY(etype == 0)) {
- static const GEnumValue values[] = {
- { GENERICMENUITEM_CHECK_TYPE_NONE, "GENERICMENUITEM_CHECK_TYPE_NONE", "none" },
- { GENERICMENUITEM_CHECK_TYPE_CHECKBOX, "GENERICMENUITEM_CHECK_TYPE_CHECKBOX", "checkbox" },
- { GENERICMENUITEM_CHECK_TYPE_RADIO, "GENERICMENUITEM_CHECK_TYPE_RADIO", "radio" },
- { 0, NULL, NULL}
- };
-
- etype = g_enum_register_static (g_intern_static_string("GenericmenuitemCheckType"), values);
- }
-
- return etype;
-}
-
-/**
- genericmenuitem_check_type_get_nick:
- @value: The value of GenericmenuitemCheckType to get the nick of
-
- Looks up in the enum table for the nick of @value.
-
- Return value: The nick for the given value or #NULL on error
-*/
-const gchar *
-genericmenuitem_check_type_get_nick (GenericmenuitemCheckType value)
-{
- GEnumClass * class = G_ENUM_CLASS(g_type_class_ref(genericmenuitem_check_type_get_type()));
- g_return_val_if_fail(class != NULL, NULL);
-
- const gchar * ret = NULL;
- GEnumValue * val = g_enum_get_value(class, value);
- if (val != NULL) {
- ret = val->value_nick;
- }
-
- g_type_class_unref(class);
- return ret;
-}
-
-/**
- genericmenuitem_check_type_get_value_from_nick:
- @nick: The enum nick to lookup
-
- Looks up in the enum table for the value of @nick.
-
- Return value: The value for the given @nick
-*/
-GenericmenuitemCheckType
-genericmenuitem_check_type_get_value_from_nick (const gchar * nick)
-{
- GEnumClass * class = G_ENUM_CLASS(g_type_class_ref(genericmenuitem_check_type_get_type()));
- g_return_val_if_fail(class != NULL, 0);
-
- GenericmenuitemCheckType ret = 0;
- GEnumValue * val = g_enum_get_value_by_nick(class, nick);
- if (val != NULL) {
- ret = val->value;
- }
-
- g_type_class_unref(class);
- return ret;
-}
-
-
-/**
- genericmenuitem_state_get_type:
-
- Builds a GLib type for the #GenericmenuitemState enumeration.
-
- Return value: A unique #GType for the #GenericmenuitemState enum.
-*/
-GType
-genericmenuitem_state_get_type (void)
-{
- static GType etype = 0;
- if (G_UNLIKELY(etype == 0)) {
- static const GEnumValue values[] = {
- { GENERICMENUITEM_STATE_UNCHECKED, "GENERICMENUITEM_STATE_UNCHECKED", "unchecked" },
- { GENERICMENUITEM_STATE_CHECKED, "GENERICMENUITEM_STATE_CHECKED", "checked" },
- { GENERICMENUITEM_STATE_INDETERMINATE, "GENERICMENUITEM_STATE_INDETERMINATE", "indeterminate" },
- { 0, NULL, NULL}
- };
-
- etype = g_enum_register_static (g_intern_static_string("GenericmenuitemState"), values);
- }
-
- return etype;
-}
-
-/**
- genericmenuitem_state_get_nick:
- @value: The value of GenericmenuitemState to get the nick of
-
- Looks up in the enum table for the nick of @value.
-
- Return value: The nick for the given value or #NULL on error
-*/
-const gchar *
-genericmenuitem_state_get_nick (GenericmenuitemState value)
-{
- GEnumClass * class = G_ENUM_CLASS(g_type_class_ref(genericmenuitem_state_get_type()));
- g_return_val_if_fail(class != NULL, NULL);
-
- const gchar * ret = NULL;
- GEnumValue * val = g_enum_get_value(class, value);
- if (val != NULL) {
- ret = val->value_nick;
- }
-
- g_type_class_unref(class);
- return ret;
-}
-
-/**
- genericmenuitem_state_get_value_from_nick:
- @nick: The enum nick to lookup
-
- Looks up in the enum table for the value of @nick.
-
- Return value: The value for the given @nick
-*/
-GenericmenuitemState
-genericmenuitem_state_get_value_from_nick (const gchar * nick)
-{
- GEnumClass * class = G_ENUM_CLASS(g_type_class_ref(genericmenuitem_state_get_type()));
- g_return_val_if_fail(class != NULL, 0);
-
- GenericmenuitemState ret = 0;
- GEnumValue * val = g_enum_get_value_by_nick(class, nick);
- if (val != NULL) {
- ret = val->value;
- }
-
- g_type_class_unref(class);
- return ret;
-}
-
-
-/**
- genericmenuitem_disposition_get_type:
-
- Builds a GLib type for the #GenericmenuitemDisposition enumeration.
-
- Return value: A unique #GType for the #GenericmenuitemDisposition enum.
-*/
-GType
-genericmenuitem_disposition_get_type (void)
-{
- static GType etype = 0;
- if (G_UNLIKELY(etype == 0)) {
- static const GEnumValue values[] = {
- { GENERICMENUITEM_DISPOSITION_NORMAL, "GENERICMENUITEM_DISPOSITION_NORMAL", "normal" },
- { GENERICMENUITEM_DISPOSITION_INFORMATIONAL, "GENERICMENUITEM_DISPOSITION_INFORMATIONAL", "informational" },
- { GENERICMENUITEM_DISPOSITION_WARNING, "GENERICMENUITEM_DISPOSITION_WARNING", "warning" },
- { GENERICMENUITEM_DISPOSITION_ALERT, "GENERICMENUITEM_DISPOSITION_ALERT", "alert" },
- { 0, NULL, NULL}
- };
-
- etype = g_enum_register_static (g_intern_static_string("GenericmenuitemDisposition"), values);
- }
-
- return etype;
-}
-
-/**
- genericmenuitem_disposition_get_nick:
- @value: The value of GenericmenuitemDisposition to get the nick of
-
- Looks up in the enum table for the nick of @value.
-
- Return value: The nick for the given value or #NULL on error
-*/
-const gchar *
-genericmenuitem_disposition_get_nick (GenericmenuitemDisposition value)
-{
- GEnumClass * class = G_ENUM_CLASS(g_type_class_ref(genericmenuitem_disposition_get_type()));
- g_return_val_if_fail(class != NULL, NULL);
-
- const gchar * ret = NULL;
- GEnumValue * val = g_enum_get_value(class, value);
- if (val != NULL) {
- ret = val->value_nick;
- }
-
- g_type_class_unref(class);
- return ret;
-}
-
-/**
- genericmenuitem_disposition_get_value_from_nick:
- @nick: The enum nick to lookup
-
- Looks up in the enum table for the value of @nick.
-
- Return value: The value for the given @nick
-*/
-GenericmenuitemDisposition
-genericmenuitem_disposition_get_value_from_nick (const gchar * nick)
-{
- GEnumClass * class = G_ENUM_CLASS(g_type_class_ref(genericmenuitem_disposition_get_type()));
- g_return_val_if_fail(class != NULL, 0);
-
- GenericmenuitemDisposition ret = 0;
- GEnumValue * val = g_enum_get_value_by_nick(class, nick);
- if (val != NULL) {
- ret = val->value;
- }
-
- g_type_class_unref(class);
- return ret;
-}
-
-
-
-/* Generated data ends here */
-
diff --git a/libdbusmenu-gtk/genericmenuitem-enum-types.h b/libdbusmenu-gtk/genericmenuitem-enum-types.h
deleted file mode 100644
index b5d8589..0000000
--- a/libdbusmenu-gtk/genericmenuitem-enum-types.h
+++ /dev/null
@@ -1,86 +0,0 @@
-
-/* Generated data (by glib-mkenums) */
-
-/*
-Enums from the dbusmenu headers
-
-Copyright 2011 Canonical Ltd.
-
-Authors:
- Ted Gould <ted@canonical.com>
-
-This program is free software: you can redistribute it and/or modify it
-under the terms of either or both of the following licenses:
-
-1) the GNU Lesser General Public License version 3, as published by the
- Free Software Foundation; and/or
-2) the GNU Lesser General Public License version 2.1, as published by
- the Free Software Foundation.
-
-This program is distributed in the hope that it will be useful, but
-WITHOUT ANY WARRANTY; without even the implied warranties of
-MERCHANTABILITY, SATISFACTORY QUALITY or FITNESS FOR A PARTICULAR
-PURPOSE. See the applicable version of the GNU Lesser General Public
-License for more details.
-
-You should have received a copy of both the GNU Lesser General Public
-License version 3 and version 2.1 along with this program. If not, see
-<http://www.gnu.org/licenses/>
-*/
-
-#ifndef __DBUSMENU_ENUM_TYPES_H__
-#define __DBUSMENU_ENUM_TYPES_H__
-
-#include <glib-object.h>
-
-G_BEGIN_DECLS
-
-/* Enumerations from file: "genericmenuitem.h" */
-#include "genericmenuitem.h"
-
-
-GType genericmenuitem_check_type_get_type (void) G_GNUC_CONST;
-const gchar * genericmenuitem_check_type_get_nick (GenericmenuitemCheckType value) G_GNUC_CONST;
-GenericmenuitemCheckType genericmenuitem_check_type_get_value_from_nick (const gchar * nick) G_GNUC_CONST;
-
-/**
- DBUSMENU_TYPE_CHECK_TYPE:
-
- Gets the #GType value for the type associated with the
- #GenericmenuitemCheckType enumerated type.
-*/
-#define DBUSMENU_TYPE_CHECK_TYPE (genericmenuitem_check_type_get_type())
-
-
-GType genericmenuitem_state_get_type (void) G_GNUC_CONST;
-const gchar * genericmenuitem_state_get_nick (GenericmenuitemState value) G_GNUC_CONST;
-GenericmenuitemState genericmenuitem_state_get_value_from_nick (const gchar * nick) G_GNUC_CONST;
-
-/**
- DBUSMENU_TYPE_STATE:
-
- Gets the #GType value for the type associated with the
- #GenericmenuitemState enumerated type.
-*/
-#define DBUSMENU_TYPE_STATE (genericmenuitem_state_get_type())
-
-
-GType genericmenuitem_disposition_get_type (void) G_GNUC_CONST;
-const gchar * genericmenuitem_disposition_get_nick (GenericmenuitemDisposition value) G_GNUC_CONST;
-GenericmenuitemDisposition genericmenuitem_disposition_get_value_from_nick (const gchar * nick) G_GNUC_CONST;
-
-/**
- DBUSMENU_TYPE_DISPOSITION:
-
- Gets the #GType value for the type associated with the
- #GenericmenuitemDisposition enumerated type.
-*/
-#define DBUSMENU_TYPE_DISPOSITION (genericmenuitem_disposition_get_type())
-
-
-G_END_DECLS
-
-#endif /* __DBUSMENU_ENUM_TYPES_H__ */
-
-/* Generated data ends here */
-
diff --git a/libdbusmenu-gtk/genericmenuitem.c b/libdbusmenu-gtk/genericmenuitem.c
index ae6d4c0..9707ba3 100644
--- a/libdbusmenu-gtk/genericmenuitem.c
+++ b/libdbusmenu-gtk/genericmenuitem.c
@@ -1,6 +1,6 @@
/*
A menuitem subclass that has the ability to do lots of different
-things depending on it's settings.
+things depending on its settings.
Copyright 2009 Canonical Ltd.
diff --git a/libdbusmenu-gtk/genericmenuitem.h b/libdbusmenu-gtk/genericmenuitem.h
index 0b7df55..0164f13 100644
--- a/libdbusmenu-gtk/genericmenuitem.h
+++ b/libdbusmenu-gtk/genericmenuitem.h
@@ -1,6 +1,6 @@
/*
A menuitem subclass that has the ability to do lots of different
-things depending on it's settings.
+things depending on its settings.
Copyright 2009 Canonical Ltd.
diff --git a/libdbusmenu-gtk/menu.c b/libdbusmenu-gtk/menu.c
index 236a596..3ec419a 100644
--- a/libdbusmenu-gtk/menu.c
+++ b/libdbusmenu-gtk/menu.c
@@ -296,7 +296,7 @@ root_child_delete (DbusmenuMenuitem * root, DbusmenuMenuitem * child, DbusmenuGt
return;
}
-/* Called when the child is realized, and thus has all of it's
+/* Called when the child is realized, and thus has all of its
properties and GTK-isms. We can put it in our menu here. */
static void
child_realized (DbusmenuMenuitem * child, gpointer userdata)
diff --git a/libdbusmenu-gtk/parser.c b/libdbusmenu-gtk/parser.c
index 39cc9f8..6244b07 100644
--- a/libdbusmenu-gtk/parser.c
+++ b/libdbusmenu-gtk/parser.c
@@ -340,7 +340,7 @@ parser_data_free (ParserData * pdata)
return;
}
-/* Gets the positon of the child with its' parent if it has one.
+/* Gets the positon of the child with its parent if it has one.
Returns -1 if the position is unable to be calculated. */
static gint
get_child_position (GtkWidget * child)
@@ -1121,6 +1121,14 @@ item_activated (DbusmenuMenuitem *item, guint timestamp, gpointer user_data)
if (GTK_IS_MENU_ITEM (child))
{
+ GtkWidget *parent = gtk_widget_get_parent(child);
+ if (GTK_IS_MENU (parent))
+ {
+ gint pos = get_child_position (child);
+ if (pos >= 0)
+ gtk_menu_set_active (GTK_MENU(parent), pos);
+ }
+
gdk_threads_enter ();
gtk_menu_item_activate (GTK_MENU_ITEM (child));
gdk_threads_leave ();